<?php $__env->startSection('style'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/backend/css/nice-select.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('site-title'); ?>
    <?php echo e(__('All Admin Role')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="col-lg-12 col-ml-12 padding-bottom-30">
        <div class="row">
            <div class="col-lg-12">
                <?php echo $__env->make('backend/partials/message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="col-lg-6 mt-5">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title"><?php echo e(__('All Admin Role')); ?></h4>
                        <div class="data-tables datatable-primary">
                            <table id="all_user_table" class="table table-default">
                                <thead class="text-capitalize">
                                <tr>
                                    <th><?php echo e(__('ID')); ?></th>
                                    <th><?php echo e(__('Role')); ?></th>
                                    <th><?php echo e(__('Permissions')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $all_role; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($data->id); ?></td>
                                            <td><?php echo e($data->name); ?></td>
                                            <td>
                                               <div class="permission-show">
                                                   <?php $all_per = json_decode($data->permission); ?>
                                                   <?php $__currentLoopData = $all_per; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $per): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                       <span class="text text-success"><?php echo e(ucwords(str_replace('_',' ',$per))); ?></span>
                                                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                               </div>
                                            </td>
                                            <td>
                                                <a tabindex="0" class="btn btn-lg btn-danger btn-sm mb-3 mr-1" role="button" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="
                                               <h6>Are you sure to delete this role?</h6>
                                               <form method='post' action='<?php echo e(route('admin.user.role.delete',$data->id)); ?>'>
                                               <input type='hidden' name='_token' value='<?php echo e(csrf_token()); ?>'>
                                               <br>
                                                <input type='submit' class='btn btn-danger btn-sm' value='Yes,Delete'>
                                                </form>
                                                " data-original-title="">
                                                    <i class="ti-trash"></i>
                                                </a>
                                                <a href="#"
                                                   data-id="<?php echo e($data->id); ?>"
                                                   data-name="<?php echo e($data->name); ?>"
                                                   data-permission="<?php echo e($data->permission); ?>"
                                                   data-toggle="modal"
                                                   data-target="#user_edit_modal"
                                                   class="btn btn-lg btn-primary btn-sm mb-3 mr-1 user_edit_btn"
                                                >
                                                    <i class="ti-pencil"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6  mt-5">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title"><?php echo e(__('Add New Admin Role')); ?></h4>

                        <?php if($errors->any()): ?>
                            <div class="alert alert-danger">
                                <ul>
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
                        <form action="<?php echo e(route('admin.all.user.role')); ?>" method="post" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <label for="name"><?php echo e(__('Role Name')); ?></label>
                                <input type="text" class="form-control"  id="name" name="name" placeholder="<?php echo e(__('Enter Role name')); ?>">
                            </div>
                            <div class="form-group">
                                <label for="permission"><?php echo e(__('Permissions')); ?></label>
                                <?php
                                $all_permission_list = array(
                                    "Admin Role Manage",
                                    "Newsletter Manage",
                                    "Home Variant",
                                    "Nabvar Settings",
                                    "Home Page Manage",
                                    "About Page Manage",
                                    "Contact Page Manage",
                                    "Quote Page Manage",
                                    "Order Page Manage",
                                    "Price Plan Page Manage",
                                    "Work Single Page Manage",
                                    "Top Bar Settings",
                                    "Services",
                                    "Works",
                                    "FAQ",
                                    "Brand Logos",
                                    "Price Plan",
                                    "Team Members",
                                    "Testimonial",
                                    "Blog Settings",
                                    "Counterup",
                                    "Blogs",
                                    "Form Builder",
                                    "Footer Area",
                                    "Menus Manage",
                                    "Pages",
                                    "General Settings",
                                    "Languages",
                                    "Quote Manage",
                                    "Order Manage",
                                    "All Payment Logs",
                                    "Job Post Manage",
                                    "Events Manage",
                                    "Knowledgebase",
                                );
                                ?>
                                <select name="permission[]" multiple id="permission" class="form-control nice-select wide">
                                    <?php $__currentLoopData = $all_permission_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $per): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e(strtolower(str_replace(' ','_',$per))); ?>"><?php echo e($per); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <div class="info-text"><?php echo e(__('assign permission to role, which page can seen by the this role')); ?></div>
                            </div>
                            <button type="submit" class="btn btn-primary mt-4 pr-4 pl-4"><?php echo e(__('Add New Role')); ?></button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="user_edit_modal" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo e(__('Admin Role Edit')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal"><span>×</span></button>
                </div>
                <form action="<?php echo e(route('admin.user.role.edit')); ?>" id="user_edit_modal_form" method="post" enctype="multipart/form-data">
                    <div class="modal-body">
                        <input type="hidden" name="admin_role_id" id="admin_role_id">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label for="edit_name"><?php echo e(__('Role Name')); ?></label>
                            <input type="text" class="form-control"  id="edit_name" name="name" placeholder="<?php echo e(__('Enter Role name')); ?>">
                        </div>
                        <div class="form-group">
                            <label for="edit_permission"><?php echo e(__('Permissions')); ?></label>
                            <?php
                                $all_permission_list = array(
                                    "Admin Role Manage",
                                    "Newsletter Manage",
                                    "Home Variant",
                                    "Nabvar Settings",
                                    "Home Page Manage",
                                    "About Page Manage",
                                    "Contact Page Manage",
                                    "Quote Page Manage",
                                    "Order Page Manage",
                                    "Price Plan Page Manage",
                                    "Work Single Page Manage",
                                    "Top Bar Settings",
                                    "Services",
                                    "Works",
                                    "FAQ",
                                    "Brand Logos",
                                    "Price Plan",
                                    "Team Members",
                                    "Testimonial",
                                    "Blog Settings",
                                    "Counterup",
                                    "Blogs",
                                    "Form Builder",
                                    "Footer Area",
                                    "Menus Manage",
                                    "Pages",
                                    "General Settings",
                                    "Languages",
                                     "Quote Manage",
                                     "Order Manage",
                                     "All Payment Logs",
                                     "Job Post Manage",
                                     "Events Manage",
                                     "Knowledgebase",
                                );
                            ?>
                            <select name="permission[]" multiple id="edit_permission" class="form-control nice-select wide">
                                <?php $__currentLoopData = $all_permission_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $per): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e(strtolower(str_replace(' ','_',$per))); ?>"><?php echo e($per); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <div class="info-text"><?php echo e(__('assign permission to role, which page can seen by the this role')); ?></div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo e(__('Close')); ?></button>
                        <button type="submit" class="btn btn-primary"><?php echo e(__('Save changes')); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo e(asset('assets/backend/js/jquery.nice-select.min.js')); ?>"></script>
    <script>
        $(document).ready(function () {

            $(document).on('click','.user_edit_btn',function(){
                var el = $(this);
                var form = $('#user_edit_modal_form');
                var permission = el.data('permission');
                form.find('#admin_role_id').val(el.data('id'));
                form.find('#edit_name').val(el.data('name'));
                $.each(permission,function (index,value) {
                form.find('#edit_permission option[value="'+value+'"]').attr('selected',true);
                });
                $('#edit_permission').niceSelect('update');
            });

            if($('.nice-select').length > 0){
                $('.nice-select').niceSelect();
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.admin-master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /opt/lampp/htdocs/bizzcox/@core/resources/views/backend/user-role-manage/admin-role.blade.php ENDPATH**/ ?>